PDA

View Full Version : SLES 11 SP2 migrate to SP3 = busted



AP81
28-Feb-2014, 04:33
Hi,

I'm administering a remote server (which I need to deploy code to). It is a VM running a fresh install SLES 11 SP2.

Anyway, I've done:


zypper ref -s
zypper update -t patch
zypper update -t patch

Followed prompts, rebooted, all good.

Next, I did:

zypper se -t product | grep -h -- "-migration" | cut -d\| -f2

This results in no output. In /etc/products.d/ there is the following:

lrwxrwxrwx 1 root root 14 Dec 11 2012 baseproduct -> SUSE_SLES.prod
-rw-r--r-- 1 root root 2885 Mar 11 2012 SUSE_SLES.prod

So, have I missed something here?


cat /etc/SuSE-release
SUSE Linux Enterprise Server 11 (x86_64)
VERSION = 11
PATCHLEVEL = 2

Any ideas how to complete the migration? If need be I can get another VM spun up and start over, but hopefully it is something simple.

Thanks.

malcolmlewis
28-Feb-2014, 04:45
Hi
So you followed this TID?
https://www.suse.com/support/kb/doc.php?id=7012368

Do you see the SP3 repositories present?



zypper lr

AP81
28-Feb-2014, 04:56
Hi
So you followed this TID?
https://www.suse.com/support/kb/doc.php?id=7012368

Do you see the SP3 repositories present?



zypper lr


Yep, followed that exact doc. No SP3 repositories are present.


# | Alias | Name | Enabled | Refresh
--+---------------------------------------------------------+--------------------------------------------------+---------+--------
1 | SMT-http_wrfsp03_sjog_org_au:SLES11-Extras | SLES11-Extras | Yes | Yes
2 | SMT-http_wrfsp03_sjog_org_au:SLES11-SP1-Pool | SLES11-SP1-Pool | No | Yes
3 | SMT-http_wrfsp03_sjog_org_au:SLES11-SP1-Updates:testing | SLES11-SP1-Updates:testing | No | Yes
4 | SMT-http_wrfsp03_sjog_org_au:SLES11-SP2-Core | SLES11-SP2-Core | Yes | Yes
5 | SMT-http_wrfsp03_sjog_org_au:SLES11-SP2-Updates:testing | SLES11-SP2-Updates:testing | Yes | Yes
6 | SUSE-Linux-Enterprise-Server-11-SP2_11.2.2-1.234 | SUSE-Linux-Enterprise-Server-11-SP2 11.2.2-1.234 | Yes | No

malcolmlewis
28-Feb-2014, 05:10
Yep, followed that exact doc. No SP3 repositories are present.


# | Alias | Name | Enabled | Refresh
--+---------------------------------------------------------+--------------------------------------------------+---------+--------
1 | SMT-http_wrfsp03_sjog_org_au:SLES11-Extras | SLES11-Extras | Yes | Yes
2 | SMT-http_wrfsp03_sjog_org_au:SLES11-SP1-Pool | SLES11-SP1-Pool | No | Yes
3 | SMT-http_wrfsp03_sjog_org_au:SLES11-SP1-Updates:testing | SLES11-SP1-Updates:testing | No | Yes
4 | SMT-http_wrfsp03_sjog_org_au:SLES11-SP2-Core | SLES11-SP2-Core | Yes | Yes
5 | SMT-http_wrfsp03_sjog_org_au:SLES11-SP2-Updates:testing | SLES11-SP2-Updates:testing | Yes | Yes
6 | SUSE-Linux-Enterprise-Server-11-SP2_11.2.2-1.234 | SUSE-Linux-Enterprise-Server-11-SP2 11.2.2-1.234 | Yes | No

Hi
So it looks like it didn't update? What kernel is running at the moment?


uname -a

I would look at using YaST -> Wagon to update again and see how that goes.

AP81
28-Feb-2014, 05:20
Kernel is: 3.0.51-0.7.9-default

I'd rather not install X windows to run the update. This is a webserver & I'd rather not have all the desktop/x windows packages installed.

Seems really odd to me for something so simple.

I can try and get a 11.3 VM built for me (as this is a big wasted of my time)... failing that I can use another distro that I'm more familiar with.

malcolmlewis
28-Feb-2014, 05:43
Hi
Looking back, does the SMT server your using have the SLE 11 SP3 repositories present?

jmozdzen
28-Feb-2014, 11:22
Hi AP81,


I would look at using YaST -> Wagon to update again and see how that goes.

I'd rather not install X windows to run the update. This is a webserver & I'd rather not have all the desktop/x windows packages installed.

Seems really odd to me for something so simple.

Sorry for jumping in - YaST is available for text mode, too, so no need for X11 (which really would be overkill for such a server).

Regards,
Jens